%define module	Bot-BasicBot
%define name	perl-%{module}
%define ver	0.7
%define version 0.70
%define	release	%mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A simple IRC bot base class
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/T/TO/TOMI/%{module}-%{ver}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:  perl-Module-Build
BuildRequires:  perl-POE-Component-IRC
%description
A basic bot system written in Perl, designed to make it easy to do simple bots,
optionally forking longer processes (like searches) concurrently in the
background.

%prep
%setup -q -n %{module}-%{ver}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README examples
%{perl_vendorlib}/Bot/*
%{_mandir}/*/*





%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.70-4mdv2008.1
+ Revision: 136664
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.70-4mdv2007.0
+ Revision: 108605
- really fix version
- fix release
- rebuild

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.7-1mdv2007.0
+ Revision: 53709
- 0.7
- Import perl-Bot-BasicBot

* Tue Oct 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.65-3mdk
- Fix BuildRequires

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.65-2mdk
- Buildrequires fix

* Tue Aug 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.65-1mdk
- 0.65

* Wed May 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.61-1mdk
- 0.61

* Fri Apr 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.6-1mdk
- 0.6

* Sun Feb 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.5-1mdk
- Initial MDK release.

